Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015975
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 03. Procurement managementminoralways2011-02-14 13:352011-04-15 12:53
ReporterxabiermerinoView Statuspublic 
Assigned Toadrianromero 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionc1380d175fd9
ProjectionnoneETAnoneTarget Version2.50MP28
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP26SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015975: The callout calculates wrong the Net Unit Price when Discount % is 100

DescriptionThe callout calculates wrong the Net Unit Price when Discount % is 100
Steps To Reproduce-As Openbravo Admin go to Procurement Management || Transactions || Purchase Order || Header >> Lines
- Product: hammer
- Discount: 100
- Realize that the Net Unit Price is 12.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0016811 closeddalsasua The callout calculates wrong the Net Unit Price when Discount % is 100 
has duplicate defect 00165653.0RC7 closedadrianromero Oracle database: Discount field in sales order is not working properly 
has duplicate backport 00165662.50MP31 closedadrianromero Oracle database: Discount field in sales order is not working properly 

-  Notes
(0035429)
AinhoaPagola (reporter)
2011-03-31 16:13

This issue reproduces in Openbravo 3.0 and Openbravo 2.50 ONLY on PostgreSQL database. It works fine in Oracle.

The Net Unit Price should be set to 0, but instead 12 is always the result, no matter the net price list nor the product.
(0035942)
hgbot (developer)
2011-04-14 14:04

Repository: erp/stable/2.50
Changeset: c1380d175fd977ddf00b6f07143ef5dbdd71a714
Author: Adrián Romero <adrianromero <at> openbravo.com>
Date: Thu Apr 14 14:03:33 2011 +0200
URL: http://code.openbravo.com/erp/stable/2.50/rev/c1380d175fd977ddf00b6f07143ef5dbdd71a714 [^]

Fixes issue 0015975: The callout calculates wrong the Net Unit Price when Discount % is 100
It has been modified the format of the price when invoking GetOffersPrice() to use an standard format and not a cientific format

---
M src/org/openbravo/erpCommon/ad_callouts/SL_Order_Amt.java
---
(0035943)
adrianromero (manager)
2011-04-14 14:07

* Testing the issue

Follow the steps to test and verify that now when the discount is 100%, the net unit price is 0

Verify that it still works as expected when using other discounts: 50%, 0%, 200%

* Other areas affected

No other areas affected only the format when invoking GETOFFERSPRICE() in the callout has been modified.
(0035975)
xabiermerino (developer)
2011-04-15 12:53

verified

- Issue History
Date Modified Username Field Change
2011-02-14 13:35 xabiermerino New Issue
2011-02-14 13:35 xabiermerino Assigned To => adrianromero
2011-02-14 13:35 xabiermerino Modules => Core
2011-02-14 13:36 xabiermerino Issue Monitored: networkb
2011-03-31 16:13 AinhoaPagola Note Added: 0035429
2011-03-31 16:26 adrianromero Relationship added has duplicate 0016565
2011-03-31 16:26 adrianromero Relationship added has duplicate 0016566
2011-04-14 14:01 adrianromero Status new => scheduled
2011-04-14 14:01 adrianromero Type defect => backport
2011-04-14 14:01 adrianromero Issue cloned 0016811
2011-04-14 14:01 adrianromero Relationship added depends on 0016811
2011-04-14 14:04 hgbot Checkin
2011-04-14 14:04 hgbot Note Added: 0035942
2011-04-14 14:04 hgbot Status scheduled => resolved
2011-04-14 14:04 hgbot Resolution open => fixed
2011-04-14 14:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/stable/2.50/rev/c1380d175fd977ddf00b6f07143ef5dbdd71a714 [^]
2011-04-14 14:07 adrianromero Note Added: 0035943
2011-04-15 12:53 xabiermerino Note Added: 0035975
2011-04-15 12:53 xabiermerino Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker